> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ignite/sdk-reference/set-retry-policy.md).

# Set Retry Policy

To specify your desired retry policy, call the `RequestConfig()` class in the `config` parameter when calling the [`install()` method](/dt-ignite/sdk-reference/install-app.md). The DTIS SDK supports the `RetryPolicy` object to provide specific retry policy settings, such as the number of times to retry a task and when to retry a task. Use `RetryPolicy.Builder` to create the object.

{% hint style="info" %}
If you do not include retry policy settings when calling the [`install()` method](/dt-ignite/sdk-reference/install-app.md), Ignite applies the default retry settings noted below.
{% endhint %}

To specify a custom `RetryPolicy` object for DTIS installations:

1. Build your custom `RetryPolicy` object according to the following builder:

{% code title="Kotlin" %}

```kotlin
val requestConfig = RequestConfig(retryPolicy = RetryPolicy.Builder()
     .retries(0)
     .retry500s(true)
     .retryConnectionFailures(true)
     .build())
```

{% endcode %}

| SETTING                   | TYPE    | DESCRIPTION                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `retries`                 | Number  | Specify the number of times to retry an unsuccessful installation request. This defaults to `0`.                                                                                                                                                                                                                                                                                                               |
| `retry500s`               | Boolean | <p>Specify whether to retry the installation request when server returns <code>5xx</code> status codes (server errors).<br></p><ul><li><code>true</code> = If server returns <code>5xx</code> status code, retry the installation request. Ignite defaults to <code>true</code>.</li><li><code>false</code> = If server returns <code>5xx</code> status code, do not retry the installation request.</li></ul> |
| `retryConnectionFailures` | Boolean | <p>Specify whether to retry the installation request in case of connectivity issues.<br></p><ul><li><code>true</code> = If connection fails, retry the installation request. Ignite defaults to <code>true</code>.</li><li><code>false</code> = If connection fails, do not retry the installation request.</li></ul>                                                                                          |

2. Pass your retry policy settings in the `config` parameter when calling the [`install()` method](/dt-ignite/sdk-reference/install-app.md). Otherwise, Ignite applies the default settings.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-ignite/sdk-reference/set-retry-policy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
